package com.weilab.biology.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.weilab.biology.core.data.po.Job;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Created by skyyemperor on 2021-09-19
 * Description :
 */
@Mapper
public interface JobMapper extends BaseMapper<Job> {

    List<Job> selectRunningJobs();

    Job selectNextWaitingJob();

    List<Job> selectJobList(@Param("type") Integer type);

    List<Job> selectJobListByPage(@Param("type") Integer type,
                                  @Param("offset") Integer offset,
                                  @Param("count") Integer count);

}